<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<launchConfiguration type="org.springframework.ide.eclipse.boot.launch">
    <listAttribute key="org.eclipse.debug.core.MAPPED_RESOURCE_PATHS">
        <listEntry value="/currency-exchange-service/src/main/java/com/microservice/currencyexc/CurrencyExchangeServiceApplication.java"/>
    </listAttribute>
    <listAttribute key="org.eclipse.debug.core.MAPPED_RESOURCE_TYPES">
        <listEntry value="1"/>
    </listAttribute>
    <booleanAttribute key="org.eclipse.jdt.launching.ATTR_ATTR_USE_ARGFILE" value="false"/>
    <booleanAttribute key="org.eclipse.jdt.launching.ATTR_EXCLUDE_TEST_CODE" value="true"/>
    <booleanAttribute key="org.eclipse.jdt.launching.ATTR_SHOW_CODEDETAILS_IN_EXCEPTION_MESSAGES" value="true"/>
    <booleanAttribute key="org.eclipse.jdt.launching.ATTR_USE_CLASSPATH_ONLY_JAR" value="false"/>
    <stringAttribute key="org.eclipse.jdt.launching.CLASSPATH_PROVIDER" value="org.springframework.ide.eclipse.boot.launch.BootMavenClassPathProvider"/>
    <stringAttribute key="org.eclipse.jdt.launching.MAIN_TYPE" value="com.microservice.currencyexc.CurrencyExchangeServiceApplication"/>
    <stringAttribute key="org.eclipse.jdt.launching.PROJECT_ATTR" value="currency-exchange-service"/>
    <stringAttribute key="org.eclipse.jdt.launching.SOURCE_PATH_PROVIDER" value="org.springframework.ide.eclipse.boot.launch.BootMavenSourcePathProvider"/>
    <stringAttribute key="org.eclipse.jdt.launching.VM_ARGUMENTS" value="-Dserver.port=8001"/>
    <stringAttribute key="process_factory_id" value="org.springframework.ide.eclipse.boot.launch.process.BootProcessFactory"/>
    <booleanAttribute key="spring.boot.ansi.console" value="true"/>
    <stringAttribute key="spring.boot.app.properties" value=""/>
    <booleanAttribute key="spring.boot.dash.hidden" value="false"/>
    <booleanAttribute key="spring.boot.debug.enable" value="false"/>
    <booleanAttribute key="spring.boot.fast.startup" value="true"/>
    <booleanAttribute key="spring.boot.jmx.enable" value="true"/>
    <booleanAttribute key="spring.boot.lifecycle.enable" value="true"/>
    <stringAttribute key="spring.boot.lifecycle.termination.timeout" value="15000"/>
    <booleanAttribute key="spring.boot.livebean.enable" value="false"/>
    <stringAttribute key="spring.boot.livebean.port" value="0"/>
    <stringAttribute key="spring.boot.profile" value=""/>
</launchConfiguration>
